Name:		focuswriter
Version:	1.6.4
Release:	%mkrel 1
Summary:	A full-screen, distraction-free writing program
Group:		Office/Word processor
License:	GPLv3+
URL:		http://gottcode.org/focuswriter
Source:		http://gottcode.org/focuswriter/%{name}-%{version}-src.tar.bz2

BuildRequires:	hunspell-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
BuildRequires:  qttools5

%description
A full-screen, distraction-free writing program.
You can customize your environment by changing the font, colors, and
background image to add ambiance as you type. FocusWriter features
an on-the-fly updating word count, optional auto-save, optional daily
goals, and an interface that hides away to allow you to focus more
clearly; additionally, when you open the program your current
work-in-progress will automatically load and position you at the end
of your document, so that you can immediately jump back in.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Mar 30 2017 vaci0 <vaci0> 1.6.4-1.mga6
+ Revision: 1095284
- Update to new version 1.6.4

* Sun Jan 01 2017 vaci0 <vaci0> 1.6.3-1.mga6
+ Revision: 1079246
- Update to new version 1.6.3

* Sat Nov 12 2016 akien <akien> 1.6.2-1.mga6
+ Revision: 1066845
- BR qttools5 for lrelease
- Version 1.6.2

* Fri Sep 23 2016 vaci0 <vaci0> 1.6.1-1.mga6
+ Revision: 1055561
-Update new version 1.6.1

* Thu Apr 21 2016 tv <tv> 1.5.5-2.mga6
+ Revision: 1004207
- rebuid for libhunspell 1.4

* Tue Jan 12 2016 akien <akien> 1.5.5-1.mga6
+ Revision: 922150
- Version 1.5.5
- Build with Qt 5

* Wed Oct 15 2014 umeabot <umeabot> 1.5.3-3.mga5
+ Revision: 746535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.3-2.mga5
+ Revision: 679251
- Mageia 5 Mass Rebuild

* Fri Aug 29 2014 vaci0 <vaci0> 1.5.3-1.mga5
+ Revision: 669276
- Update new version 1.5.3

* Wed Aug 06 2014 vaci0 <vaci0> 1.5.2-1.mga5
+ Revision: 660247
- Update new version 1.5.2

* Wed Jun 25 2014 vaci0 <vaci0> 1.5.1-1.mga5
+ Revision: 639691
- Add patch to fix .desktop file
- Add patch to fix .desktop file
- new version 1.5.1

* Wed Apr 16 2014 vaci0 <vaci0> 1.4.6-1.mga5
+ Revision: 615305
- Update to new version 1.4.6

* Sat Mar 29 2014 vaci0 <vaci0> 1.4.5-1.mga5
+ Revision: 609273
-Update to new version 1.4.5

* Sat Oct 19 2013 umeabot <umeabot> 1.4.4-2.mga4
+ Revision: 528894
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 dams <dams> 1.4.4-1.mga4
+ Revision: 448095
- new version 1.4.4

* Thu May 30 2013 dams <dams> 1.4.3-1.mga4
+ Revision: 432947
- new version 1.4.3

* Fri Jan 11 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 350615
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 vaci0 <vaci0> 1.4.1-1.mga3
+ Revision: 338332
- Updated to version 1.4.1

* Mon Oct 22 2012 dams <dams> 1.4.0-1.mga3
+ Revision: 309258
- udpate %%group
- new version 1.4.0

* Sat Sep 08 2012 vaci0 <vaci0> 1.3.90-1.mga3
+ Revision: 289690
- Updated to version 1.3.90

* Wed Aug 15 2012 vaci0 <vaci0> 1.3.80-1.mga3
+ Revision: 281443
- Added BuildRequires enchant-devel
-Update to new version 1.3.80

* Fri Jul 27 2012 vaci0 <vaci0> 1.3.6-1.mga3
+ Revision: 274774
- imported package focuswriter

